Subject: bug#73934: closed (Re: [bug#73934] [v2] Add CloudCompare 2.13)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 24 Mar 2025 15:46:02 +0000

Your bug report

#73934: [PATCH 0/2] Add CloudCompare 2.13

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
73934: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=73934
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#73934] [v2] Add CloudCompare 2.13
From: Andreas Enge <[email-masked]>
To: Mattia Bunel <[email-masked]>
Cc: Eric Bavier <[email-masked]>, Sharlatan Hellseher <[email-masked]>, [email-masked]
Date: Mon, 24 Mar 2025 16:44:51 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Mattia,

thanks for the updated patch!

Am Fri, Feb 28, 2025 at 03:26:49PM +0100 schrieb Mattia Bunel:
> As for the rest, I agree with you. It be better to replace the
> submodules and external dependencies integrated in the sources. But I
> don't really know how to do that. I did find some examples in other
> packages, but it seems necessary to patch the ~cmake~ files, which I don't
> really know how to do.

I also did not see an easy way to do so, so I have just kept this part as is
and have added a comment.

I have changed the source code field to "compute" the tag from the
version number. And I could run tests with "xvfb-run", which simulates
an X server.

The commit is pushed, enjoy!

Andreas

Subject: [PATCH 0/2] Add CloudCompare 2.13
From: Mattia Bunel <[email-masked]>
To: [email-masked]
Cc: Mattia Bunel <[email-masked]>
Date: Mon, 21 Oct 2024 18:04:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

This patch series add CloudCompare, a point cloud processing software.

It's the first time I've packaged a big software package like this.
I hope it's all good, sorry if it's not.

Mattia Bunel (2):
  * gnu/packages/geo.scm (libe57format): New variable.
  * gnu/packages/geo.scm (cloudcompare): New variable.

 gnu/packages/geo.scm | 124 +++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 124 insertions(+)

base-commit: 59b2a60d0041882d732e1766e28f0df5a1ef1ac1
-- 
2.46.2